Subject: bug#66840: hyperbole does not detect I’m on a mac

From: Robert Weiner <[email-masked]>
Date: Mon, 30 Oct 2023 17:50:25 -0400

Hi Alan:

Thanks for letting us know about this alternative window system name.  We’ll add it.  And glad to see you are solving your iwn problems with implicit buttons.

Feel free ti describe more of what you do with Hyperbole as you get further into it or if you are experienced, any time you are ready.

-- Bob

> On Oct 30, 2023, at 5:32 PM, Alan Schmitt <[email-masked]> wrote:
> 
> Hi Mats,
> 
> On 2023-10-30 21:07, Mats Lidell <[email-masked]> writes:
> 
>>> When I press M-ret on a path to a pdf, hyperbole offers to run "setsid
>>> -w xdg-open", which I don’t have installed as I’m on a mac. Looking at
>>> hpath:get-external-display-alist, I see that my window system, which is
>>> "mac", is not in the first conditional. Is this a bug?
>> 
>> Yes I think so. It seems Hyperbole does not identify that you are on a Mac and
>> falls back to settings used when running under X-windows.
>> 
>> Can you share what value `window-system' has on your machine? (Use Hyperbole
>> key series: {C-hv window-system RET})
> 
> My message was not clear, the window-system value is actually "mac"
> (without the quotes). It’s this variant of emacs
> https://bitbucket.org/mituharu/emacs-mac/src/master/, installed through
> homebrew using https://github.com/railwaycat/homebrew-emacsmacport.
> 
>>> Is there a way to configure M-ret to open the file in dired instead?
>> 
>> Yes there is. You can customize the variable `hpath:native-image-suffixes' and
>> add the suffix of the file type that you want to display naively in Emacs. In
>> your case "pdf". The name of the variable is not the best and should probably
>> be updated now when Emacs supports more native document types than images.
> 
> Thank you for the suggestion, but it’s not exactly what I want. In this
> case, it opens the file itself in emacs (using docview, or in my case
> pdftools). What I would like is a way to open the enclosing folder in
> dired with the file selected. But I now know more of hyperbole do it
> myself:
> <dired-jump nil "~/path/to/file.pdf">
> 
> Best,
> 
> Alan
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole